"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const resize_observer_polyfill_1 = require("resize-observer-polyfill");
exports.default = () => {
    const [el, setEl] = react_1.useState(null);
    const [size, setSize] = react_1.useState([0, 0]);
    react_1.useEffect(() => {
        if (!el)
            return;
        const resizeObserver = new resize_observer_polyfill_1.default(() => setSize([el.clientWidth, el.clientHeight]));
        resizeObserver.observe(el);
        return () => {
            resizeObserver.disconnect();
        };
    }, [el]);
    return [setEl, size];
};
