import { useEffect, useState } from "react";
import ResizeObserver from "resize-observer-polyfill";
export default () => {
    const [el, setEl] = useState(null);
    const [size, setSize] = useState([0, 0]);
    useEffect(() => {
        if (!el)
            return;
        const resizeObserver = new ResizeObserver(() => setSize([el.clientWidth, el.clientHeight]));
        resizeObserver.observe(el);
        return () => {
            resizeObserver.disconnect();
        };
    }, [el]);
    return [setEl, size];
};
